function Whh(){}
function Lhh(a){this.a=a}
function Ohh(a){this.a=a}
function Yhh(a){this.a=a}
function oqf(a,b){a.a=b;return a}
function pqf(a){a.e=100;return a}
function qqf(){this.c=new kXd;ND();this.d=OAj}
function qgf(){this.b=JA($doc);this.a=JA($doc)}
function Lmd(a){a.a.pe(0,2);Hmd(a.a.c,0,2)[rDj]=pbk}
function Jmd(a,b,d){var e;a.a.pe(b,1);e=Hmd(a.a.c,b,1);Nz(e,h4j,d.a)}
function Nph(a){var b;if(!a.d){b=new Whh;a.d=b}return a.d}
function Yu(a,b,d,e){var g;cv(a,b,d);g=Pu(a,b,d,e==null);e!=null&&Kz(g,e)}
function Jhh(a,b,d,e){CGd.call(this,a,b,d);this.a=e;this.b=new n1i(C2b)}
function rgf(a,b){if(a==0||b==0)return 0;return z3c(k3c(Math.round(b/a*100)))}
function nqf(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function Nhh(a,b){var d,e;d=ooj(b);if(y8i(d,xHj).b.b!=(Rmj(),Qmj)){e=d1i(a.a.b,y8i(d,xHj));Vhh(a.a.A,e)}else{Vhh(a.a.A,null)}}
function Ihh(a){var b,d;b=lff();I8i(m8i(b),FIj,OEj);d=new W8i;H8i(y8i(d,oHj),'engine-statistics');M8i(y8i(d,qHj),b);uoj(new Nnj(d),new Ohh(a))}
function Mph(a){var b;if(!a.c){b=new Jhh(MFd(Jce(a.a)),Nph(a),Lph(a),(Yoj(pee(a.a)),_1i(nee(a.a)),PMg(Dde(a.a))));YFd((Kce(a.a),b),VGd(Kce(a.a)));a.c=b}return a.c}
function Vhh(a,b){var d;d=new hff(sM(F0c,hyj,-1,[l3c(b.vI().a),b.wI().a,b.xI().a,b.rI().a,b.tI().a,b.pI().a,b.qI().a,b.sI().a,l3c(b.oI().a),l3c(b.yI().a),l3c(b.uI().a)]));lqf(a.b,d)}
function pgf(a,b,d){var e,g,i;g=Qnd(a.c,a.a);i=rgf(b,d);if(i>0){Hz(g,VBj,pjk+i+TBj);Hz(g,qjk,pjk+i+TBj)}else{Hz(g,VBj,rjk);Hz(g,qjk,rjk)}e=new S4c;R4c(Q4c((WQd(e.a,"<span style='padding-right:5px;'>"),e),i+TBj),_0j);Kz(g,(new U4c(e.a.a.a)).a)}
function lqf(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=nqf(a);if(g>b.a.b)throw new wo(sjk+g+tjk+b.a.b);e=gPd(g>=0?(new dPd(WNd(gg(b.a,g)))).a:Czj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=gg(b.a,o);if(null==d)throw new wo(ujk+o+vjk);$u(a.b,p,1,d);if(!!i.a&&m3c(e.a,Uyj)){pgf(gg(a.c,o),z3c(e.a),(new BOd(UNd(d))).a)}else if(!!i.a&&o3c(e.a,Uyj)){throw new wo(wjk)}++p}}
function mqf(a){var b,d,e,g,i,j,k,n,o,p;i=new Ywd;Iz((igd(),i.gb),G0j);Vwd(i,new Jnd("<div class='metric-table-title'>"+a.d+k4j));a.b=new ev;Hz(yr(a.b),rDj,a.e+TBj);Yu(a.b,0,0,'Metric');Yu(a.b,0,1,'Actual');Yu(a.b,0,2,tDj);Jmd(a.b.d,0,(kod(),jod));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];Yu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');Yu(a.b,j,1,OAj);bXd(a.c,new qgf);if(b.a){k=gg(a.c,j-1);_u(a.b,j,2,(n=new S4c,R4c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new Rnd(new U4c(n.a.a.a)),o=Qnd(k.c,k.b),wz(o,'stacked-bar-total'),Hz(o,VBj,Ahk),Hz(o,qjk,'width:100%!important'),p=Qnd(k.c,k.a),wz(p,'stacked-bar-actual'),wA(p,OAj),k.c));pgf(k,0,0)}else $u(a.b,j,2,OAj);Jmd(a.b.d,j,jod);b.c&&aod(a.b.f,j,'metric-table-baseline');++j}Kmd(a.b.d,0,0,xjk);Kmd(a.b.d,0,1,xjk);Kmd(a.b.d,0,2,xjk);Lmd(a.b.d);Vwd(i,a.b);return i}
var zjk='Teiid Metrics',rjk='background:none',qjk='cssText',xjk='metric-table-header';K3c(2521,1,{},qgf);K3c(2692,1,{},qqf);_.a=null;_.e=100;K3c(4596,1013,qzj,Jhh);_.Ui=function(){this.A.a=this;jI(this.v,(tvf(),svf),this)};_.Wk=function(){vq((oq(),nq),new Lhh(this))};_.Zi=function(){this.B&&Ihh(this)};_.bj=function(){Wvf(this.a,this)};K3c(4597,1,{},Lhh);_.wd=function(){Ihh(this.a)};K3c(4598,1300,{},Ohh);_.td=function(a){RYd('Failed to retrieve query engine statistics for Teiid',a._b())};_.fh=function(a){Nhh(this,a)};K3c(4601,1417,ozj,Whh);_.Ch=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s;r=new Vjj;Pjj(r,new Ljj((LYd(),Zik),new Yhh(this)));p=new ngf(CRj,'Session Count');o=new ngf(ERj,'Memory in Use(KB)');n=new ngf(GRj,'Memory Used By Active Plans(KB)');g=new ngf(IRj,'Buffer Disk Reads');i=new ngf(KRj,'Buffer Disk Writes');b=new ngf(MRj,'Buffer Cache Reads');d=new ngf(ORj,'Buffer Cache Writes');q=new ngf(QRj,'Disk Space In Use(MB)');a=new ngf(SRj,'Active Plan Count');s=new ngf(URj,'Waiting Plan Count');k=new ngf(WRj,'Maximum Plans Waiting Water Mark');e=sM(X1c,iyj,195,[p,o,n,g,i,b,d,q,a,s,k]);this.b=pqf(oqf(new qqf,e),ND());j=SCe(VCe($Ce(WCe(ZCe(new _Ce,yjk),zjk),r),'Metrics for teiid subsystem'),zjk,mqf(this.b));return TCe(j)};K3c(4602,1,Dyj,Yhh);_.me=function(a){Ihh(this.a.a)};K3c(4758,1,Xzj);_.ud=function(){uHd(this.b,Mph(this.a.a))};var U3b=sOd(4596),Q3b=sOd(4597),R3b=sOd(4598),W3b=sOd(4601),V3b=sOd(4602),Tub=sOd(2692),Hrb=sOd(2521);JAj(np)(76);